
Figure - Bug #115248
【BSP】【EVT2】【Music】【10/10】不能播放AAC模式音频
2023-01-11 16:17 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2023-01-11

Priority: High Due date: 2023-01-17

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

Resolution: Degrated:

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: profile为TCP的aac文件不支持.

Description

【前提条件】

【测试步骤】

1.从PC中 .aac格式音频到 到本地/sdcard/

2.进入sdcard/点击 .aac格式音频，查看

【期望结果】

3.能够播放

【实际结果】

3.不能播放

【复现概率】5/5

联想平板（联想小新PRO）内置三方播放器，可以解析AAC格式，

华为 META pro 11 内置播放器，可以解析AAC格式

国外销售联想平板 原生播放器，同样无法解析AAC格式音频

History

#1 - 2023-01-11 16:44 - CDTS_TEST 刘勇

- Tracker changed from 问题 Q&A to Bug

- Severity set to Major

- Reproducibility set to Every time

- Test Type set to IT

- Found Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

#2 - 2023-01-11 17:05 - CD MM陈海波

- Due date set to 2023-01-17

#3 - 2023-01-11 21:01 - CDTS_TEST 刘勇

- Subject changed from 【BSP】【EVT2】【Music】【10/10】不能播放AAC模式 to 【BSP】【EVT2】【Music】【10/10】不能播放AAC模式音频

#4 - 2023-01-13 15:34 - CD MM陈海波

- Status changed from New to RESOLVED

- Assignee changed from CD MM陈海波 to CDTS_TEST 刘勇

- Root cause set to profile为TCP的aac文件不支持.
此问题已经确认, aac文件是支持的. 

但是profile为TLP的aac并不支持, 所以此问题播放失败.

对此, 此问题并不需要进行修复.

BTW, AAC根据profile分类, 种类特别多, 

目前的设备上aac支持硬解码的aac有以下这些(走OFFLOAD):

AUDIO_FORMAT_AAC_LC:

       samplingRates: 8000,11025,12000,16000,22050,24000,32000,44100,48000,64000,88200,96000

       channelMasks: AUDIO_CHANNEL_OUT_STEREO,AUDIO_CHANNEL_OUT_MONO

AUDIO_FORMAT_AAC_HE_V1

       samplingRates: 8000,11025,12000,16000,22050,24000,32000,44100,48000,64000,88200,96000

       channelMasks: AUDIO_CHANNEL_OUT_STEREO,AUDIO_CHANNEL_OUT_MONO

AUDIO_FORMAT_AAC_HE_V2

        samplingRates: 8000,11025,12000,16000,22050,24000,32000,44100,48000,64000,88200,96000

        channelMasks: AUDIO_CHANNEL_OUT_STEREO,AUDIO_CHANNEL_OUT_MONO

AUDIO_FORMAT_AAC_ADTS_LC

        samplingRates: 8000,11025,12000,16000,22050,24000,32000,44100,48000,64000,88200,96000

        channelMasks: AUDIO_CHANNEL_OUT_STEREO,AUDIO_CHANNEL_OUT_MONO

AUDIO_FORMAT_AAC_ADTS_HE_V1

        samplingRates: 8000,11025,12000,16000,22050,24000,32000,44100,48000,64000,88200,96000

        channelMasks: AUDIO_CHANNEL_OUT_STEREO,AUDIO_CHANNEL_OUT_MONO

AUDIO_FORMAT_AAC_ADTS_HE_V2

        samplingRates: 8000,11025,12000,16000,22050,24000,32000,44100,48000,64000,88200,96000

        channelMasks: AUDIO_CHANNEL_OUT_STEREO,AUDIO_CHANNEL_OUT_MONO

多谢!

#5 - 2023-01-29 10:20 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 刘勇 to 移动测试一组_CDTS 刘强

#6 - 2023-01-29 16:01 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

该问题不予修改，因此关闭次问题

#7 - 2023-01-29 16:01 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#8 - 2023-01-29 16:08 - 移动测试一组_CDTS 刘强

- File 3_AAC_aac-lc_7350Hz_mono.aac added
3_AAC_aac-lc_7350Hz_mono.aac 该aac格式音频可以播放

Files

mpeg-4_44.1khz_60kbps_16bits_aac.AAC 797 KB 2023-01-11 CDTS_TEST 刘勇

3_AAC_aac-lc_7350Hz_mono.aac 355 KB 2023-01-29 移动测试一组_CDTS 刘强
